module.exports = {
  "key": "state-managers",
  "name": "State Managers",
  "description": "These manage the state of your JavaScript application.",
  "aka": [
    "flux libraries"
  ],
  "tags": [
    {
      "name": "pure flux",
      "description": "Matches exactly the original definition of flux"
    },
    {
      "name": "react",
      "description": "Has code or documentation that specifically helps to integrate with React"
    },
    {
      "name": "redux",
      "description": "A Redux plugin"
    },
    {
      "name": "mobx",
      "description": "A MobX plugin."
    },
    {
      "name": "vue"
    }
  ],
  "articles": [],
  "projects": [
    {
      "githubPath": "bcherny/undux",
      "description": "⚡️ Dead simple state management for React",
      "homepage": "https://undux.org",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 802,
      "lastUpdatedAt": "2018-07-27T20:17:47Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/1761758?v=4"
    },
    {
      "githubPath": "mweststrate/immer",
      "description": "Create the next immutable state by mutating the current one",
      "homepage": "",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 5317,
      "lastUpdatedAt": "2018-07-27T18:31:53Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/1820292?v=4"
    },
    {
      "githubPath": "cerebral/cerebral",
      "description": "Declarative state and side effects management for popular JavaScript frameworks",
      "homepage": "http://cerebraljs.com",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 1617,
      "lastUpdatedAt": "2018-07-25T21:58:40Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/15994611?v=4"
    },
    {
      "githubPath": "jumpsuit/jumpstate",
      "description": "Jumpstate is a simple and powerful state management utility for Redux.",
      "homepage": "",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 395,
      "lastUpdatedAt": "2018-07-11T09:18:48Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/15242149?v=4"
    },
    {
      "githubPath": "dvajs/dva",
      "description": "🌱 React and redux based, lightweight and elm-style framework. (Inspired by elm and choo)",
      "homepage": "https://dvajs.com/",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 10530,
      "lastUpdatedAt": "2018-07-27T15:35:09Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/20552239?v=4"
    },
    {
      "githubPath": "keajs/kea",
      "description": "High level abstraction between React and Redux",
      "homepage": "https://kea.js.org/",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 1330,
      "lastUpdatedAt": "2018-07-27T17:55:02Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/30091805?v=4"
    },
    {
      "githubPath": "Olical/EventEmitter",
      "description": "Evented JavaScript for the browser",
      "homepage": "",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 2474,
      "lastUpdatedAt": "2018-07-23T02:57:24Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/315229?v=4"
    },
    {
      "githubPath": "jeromeetienne/microevent.js",
      "description": "event emitter microlibrary - 20lines -for node and browser",
      "homepage": "http://notes.jetienne.com/2011/03/22/microeventjs.html",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 754,
      "lastUpdatedAt": "2018-07-25T15:48:07Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/252962?v=4"
    },
    {
      "githubPath": "mroderick/PubSubJS",
      "description": "Dependency free publish/subscribe for JavaScript",
      "homepage": "",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 2416,
      "lastUpdatedAt": "2018-07-27T18:18:50Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/20321?v=4"
    },
    {
      "githubPath": "solkimicreb/react-easy-state",
      "description": "Simple React state management. Made with ❤️ and ES6 Proxies.",
      "homepage": "",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 1038,
      "lastUpdatedAt": "2018-07-26T11:50:19Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/6956014?v=4"
    },
    {
      "githubPath": "facebook/flux",
      "description": "Application Architecture for Building User Interfaces",
      "homepage": "http://facebook.github.io/flux/",
      "dependencies": null,
      "tags": [
        "pure flux"
      ],
      "lastStarCount": 15429,
      "lastUpdatedAt": "2018-07-27T17:23:09Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/69631?v=4"
    },
    {
      "githubPath": "goatslacker/alt",
      "description": "Isomorphic flux implementation",
      "homepage": "http://alt.js.org/",
      "dependencies": null,
      "tags": [
        "pure flux"
      ],
      "lastStarCount": 3492,
      "lastUpdatedAt": "2018-07-26T17:47:39Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/10632?v=4"
    },
    {
      "githubPath": "optimizely/nuclear-js",
      "description": "Reactive Flux built with ImmutableJS data structures. Framework agnostic.",
      "homepage": "https://optimizely.github.io/nuclear-js/",
      "dependencies": null,
      "tags": [
        "pure flux"
      ],
      "lastStarCount": 1913,
      "lastUpdatedAt": "2018-07-26T08:28:34Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/1274132?v=4"
    },
    {
      "githubPath": "yahoo/fluxible",
      "description": "A pluggable container for universal flux applications",
      "homepage": "http://fluxible.io",
      "dependencies": null,
      "tags": [
        "pure flux"
      ],
      "lastStarCount": 1805,
      "lastUpdatedAt": "2018-07-24T10:46:29Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/16574?v=4"
    },
    {
      "githubPath": "acdlite/flummox",
      "description": "Minimal, isomorphic Flux.",
      "homepage": "http://acdlite.github.io/flummox",
      "dependencies": null,
      "tags": [
        "pure flux"
      ],
      "lastStarCount": 1685,
      "lastUpdatedAt": "2018-07-20T21:05:22Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/3624098?v=4"
    },
    {
      "githubPath": "mobxjs/mobx",
      "description": "Simple, scalable state management.",
      "homepage": "http://mobx.js.org",
      "dependencies": null,
      "tags": [
        "react",
        "mobx"
      ],
      "lastStarCount": 16092,
      "lastUpdatedAt": "2018-07-27T20:10:32Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/17475736?v=4"
    },
    {
      "githubPath": "mobxjs/mobx-state-tree",
      "description": "Model Driven State Management",
      "homepage": "",
      "dependencies": null,
      "tags": [
        "react",
        "mobx"
      ],
      "lastStarCount": 3028,
      "lastUpdatedAt": "2018-07-27T18:15:54Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/17475736?v=4"
    },
    {
      "githubPath": "reduxjs/redux",
      "description": "Predictable state container for JavaScript apps",
      "homepage": "http://redux.js.org",
      "dependencies": null,
      "tags": [
        "react",
        "redux"
      ],
      "lastStarCount": 42893,
      "lastUpdatedAt": "2018-07-27T20:37:16Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/13142323?v=4"
    },
    {
      "githubPath": "redux-saga/redux-saga",
      "description": "An alternative side effect model for Redux apps",
      "homepage": "https://redux-saga.js.org/",
      "dependencies": null,
      "tags": [
        "react",
        "redux"
      ],
      "lastStarCount": 14378,
      "lastUpdatedAt": "2018-07-27T20:59:17Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/24776643?v=4"
    },
    {
      "githubPath": "reduxjs/react-redux",
      "description": "Official React bindings for Redux",
      "homepage": "https://redux.js.org/basics/usage-with-react",
      "dependencies": null,
      "tags": [
        "react",
        "redux"
      ],
      "lastStarCount": 13362,
      "lastUpdatedAt": "2018-07-27T16:55:42Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/13142323?v=4"
    },
    {
      "githubPath": "tommikaikkonen/redux-orm",
      "description": "A small, simple and immutable ORM to manage relational data in your Redux store.",
      "homepage": "",
      "dependencies": null,
      "tags": [
        "react",
        "redux"
      ],
      "lastStarCount": 2044,
      "lastUpdatedAt": "2018-07-27T03:16:43Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/2487359?v=4"
    },
    {
      "githubPath": "vuejs/vuex",
      "description": "🗃️ Centralized State Management for Vue.js.",
      "homepage": "https://vuex.vuejs.org",
      "dependencies": null,
      "tags": [
        "vue"
      ],
      "lastStarCount": 16067,
      "lastUpdatedAt": "2018-07-27T20:37:25Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/6128107?v=4"
    },
    {
      "githubPath": "cerebral/cerebral",
      "description": "Declarative state and side effects management for popular JavaScript frameworks",
      "homepage": "http://cerebraljs.com",
      "dependencies": null,
      "tags": [],
      "lastStarCount": 1617,
      "lastUpdatedAt": "2018-07-25T21:58:40Z",
      "avatarUrl": "https://avatars1.githubusercontent.com/u/15994611?v=4"
    },
    {
      "githubPath": "robinvdvleuten/vuex-persistedstate",
      "description": "💾 Persist Vuex state with localStorage.",
      "homepage": "http://npm.im/vuex-persistedstate",
      "dependencies": null,
      "tags": [
        "vue"
      ],
      "lastStarCount": 1871,
      "lastUpdatedAt": "2018-07-27T10:40:33Z",
      "avatarUrl": "https://avatars3.githubusercontent.com/u/238295?v=4"
    },
    {
      "githubPath": "moreartyjs/moreartyjs",
      "description": "Morearty.js - centralized state management for React in pure JavaScript",
      "homepage": "",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 671,
      "lastUpdatedAt": "2018-06-27T13:18:03Z",
      "avatarUrl": "https://avatars2.githubusercontent.com/u/9162275?v=4"
    },
    {
      "githubPath": "jamiebuilds/unstated",
      "description": "State so simple, it goes without saying",
      "homepage": "https://unstated.io",
      "dependencies": null,
      "tags": [
        "react"
      ],
      "lastStarCount": 4134,
      "lastUpdatedAt": "2018-07-27T19:44:38Z",
      "avatarUrl": "https://avatars0.githubusercontent.com/u/952783?v=4"
    }
  ]
}